Bug 31385 - univention-system-setup-boot and apache redirect
univention-system-setup-boot and apache redirect
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.1-1-errata
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 10:00 CEST by Stefan Gohmann
Modified: 2013-05-30 10:27 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-05-17 10:00:31 CEST
From debian/univention-system-setup-boot.postinst:

if [ "$1" = configure ] && [ -z "$2" ]; then
    ucr set system/setup/prev/apache2/startsite="$(ucr get apache2/startsite)"
    ucr set apache2/startsite='univention-management-console/?module=setup\&username=root'

If the packsage is installed, deinstalled and installed again the UCR variable system/setup/prev/apache2/startsite will be set to 'univention-management-console/?module=setup\&username=root' too.
Comment 1 Erik Damrose univentionstaff 2013-05-28 10:48:02 CEST
Fixed in univention-system-setup and built for errata3.1-1: 6.0.76-16.461.201305281019
2013-05-28-univention-system-setup.yaml

Changes merged to 3.1-2:
univention-system-setup 6.0.77-1.462.201305281043
Changelog entry added

Reinstalling does not overwrite system/setup/prev/apache2/startsite
Uninstalling resets apache2/startsite and unsets system/setup/prev/apache2/startsite
Comment 2 Felix Botner univentionstaff 2013-05-29 13:24:39 CEST
OK - errata3.1-1
OK - yaml

OK - ucs3.1-2
OK - changelog
Comment 3 Moritz Muehlenhoff univentionstaff 2013-05-30 10:27:40 CEST
http://errata.univention.de/ucs/3.1/117.html